%define name		openal
%define version		0.0.8
%define rel		1.%{cvsdate}.1
%define	release		%mkrel %{rel}
%define lib_name_orig	lib%{name}
%define lib_major	0
%define lib_name	%mklibname %{name} %{lib_major}
%define	lib_name_devel	%mklibname %{name} %{lib_major} -d
%define	cvsdate		20050824

Name:		%{name}
Summary:	3D Sound  Library
Version:	%{version}
Release:	%{release}
License:	LGPL
Source:		%{name}-linuxonly-%{cvsdate}.tar.bz2
#This is from the tarball w. the same date, with non-linux targets and demos removed.
Patch0:		%{name}-build-patch0.diff.bz2
Patch1:		%{name}-install-prefix-patch.diff.bz2
#Patch2:	%{name}-no-unwanted-hardcoded-flags.patch.bz2
#Patch3:	%{name}-alsa-1.0-update.patch.bz2
URL:		http://www.openal.org/
Group:		Sound
BuildRequires:	esound-devel arts-devel smpeg-devel texinfo SDL-devel oggvorbis-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
OpenAL is a free 3D-audio library, with a programming interface similar
to that of OpenGL.

%package -n	%{lib_name}
Summary:	Main library for OpenAL, a free 3D sound library
Group:		Sound
Provides:	%{name} = %{version}-%{release}

%description -n	%{lib_name}
This package contains the library needed to run programs dynamically
linked with OpenAL.

%package -n	%{lib_name_devel}
Summary:	Headers for developing programs that will use OpenAL
Group:		Development/C

Requires:	%{lib_name} = %{version}
Provides:	%{lib_name_orig}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{lib_name_devel}
This package contains the headers that programmers will need to develop
applications which will use OpenAL, a free 3D audio library.

%prep
%setup -q -n %{name}
%patch0 -p0
%patch1 -p0
#%patch2 -p1
#%patch3 -p0 -b .alsa
rm -rf `find -type d -name CVS`

%build
cd linux
sh ./autogen.sh
CFLAGS="$RPM_OPT_FLAGS -O3" \
%configure2_5x	--enable-alsa \
		--enable-alsa-dlopen \
		--enable-arts \
		--enable-arts-dlopen \
		--enable-esd \
		--enable-esd-dlopen \
		--enable-waveout \
		--enable-null \
		--enable-sdl \
		--enable-vorbis \
		--enable-smpeg \
		--enable-capture \
		--enable-optimization \
		--disable-debug
%make

%install
%{__rm} -rf $RPM_BUILD_ROOT
cd linux
%makeinstall DESTLIB=$RPM_BUILD_ROOT%{_libdir}
%{__install} -c doc/%{name}.info -D $RPM_BUILD_ROOT%{_infodir}/%{name}.info
ln -sf %{lib_name_orig}.so.%{lib_major} $RPM_BUILD_ROOT%{_libdir}/%{lib_name_orig}.so

#multiarch
%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/%{name}-config

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post -n	%{lib_name} -p /sbin/ldconfig

%post -n	%{lib_name}-devel
%_install_info %{name}.info

%preun -n	%{lib_name}-devel
%_remove_install_info %{name}.info

%postun -n	%{lib_name} -p /sbin/ldconfig

%files -n	%{lib_name}
%defattr(644,root,root,0755)
%doc README CHANGES
%doc linux/{CREDITS,ChangeLog,NOTES,PLATFORM,TODO}
%defattr(755,root,root,0755)
%{_libdir}/*.so.*

%files -n	%{lib_name_devel}
%defattr(644,root,root,0755)
#%doc docs/*
%{_includedir}/AL
%{_infodir}/%{name}.info.*
%{_libdir}/*.a
%{_libdir}/pkgconfig/%{name}.pc
%defattr(755,root,root,0755)
%{_libdir}/*.so
%{_bindir}/%{name}-config
%multiarch %{multiarch_bindir}/%{name}-config

%changelog
* Wed Aug 24 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.0.8-1.20050824.1mdk
- new cvs snapshot
- remove some configure options that's no longer used

* Sat Jul 09 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.0.8-1.20050709.1mdk
- update to latest from cvs
- dlopen arts, alsa and esd (fixes #16713)

* Thu May 05 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.0.8-1.20050505.1mdk
- update to latest from cvs
- lib64 fix
- %%mkrel
- drop P2 (fixed upstream)

* Sat Mar 12 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.0.8-1.20050312.1mdk
- bah, really update to latest from cvs
- multiarch
- let release tag reflect on cvs date

* Sat Feb 19 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.0.8-1mdk
- new cvs snapshot (micro version bumpedn to 8
- fix summary-ended-with-dot

* Thu Dec 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.0.7-3mdk
- new cvs snapshot
- --disable-arch-asm for now

* Fri Oct 15 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.0.7-2mdk
- disable jlib

* Wed Jul 28 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.0.7-1mdk
- new cvs snapshot (micro version bumped to 7
- fix buildrequires

* Tue Jun  8 2004 Götz Waschk <waschk@linux-mandrake.com> 0.0.6-14mdk
- rebuild

* Tue Feb 10 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.0.6-13mdk
- new cvs snapshot
- spec cosmetics
- drop P3, fixed upstream

* Tue Dec 23 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.0.6-12mdk
- new cvs snapshot
- alsa 1.0 support (P3, done by me, so probably ugly;)
- s/%%configure2_5x/%%configure/

* Tue Oct 28 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.0.6-11mdk
- new cvs snapshot

* Wed Sep 10 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.0.6-10mdk
- new cvs snapshot
- tune buildrequires while we're at it
- disable FFT, dunno really what this feature does, can't find any docs
  on it, and configure script advises against it, therefore probably
  a good idea to disable this. If any problem with this, yell out!
- compile with -O3
- don't compile jlib with -g (regenerated and renamed P2)

* Tue Jul 15 2003 Götz Waschk <waschk@linux-mandrake.com> 0.0.6-9mdk
- fix buildrequires

* Fri Jul 11 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.0.6-8mdk
- rebuild
- new cvs snapshot while we're at it:)
- regenerate P2

* Fri May 23 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.0.6-7mdk
- new cvs snapshot
- reenable alsa
- rm -rf $RPM_BUILD_ROOT in %%install stage
- use %%mklibname for devel package
- minor fixes

* Tue May 06 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.0.6-6mdk
- rebuild for rpm-4.2
- update cvs snapshot
- disable alsa for now (broken)
- cleanups

* Fri Apr 25 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.0.6-5mdk
- new cvs snapshot
- use %%mklibname macro
- nicer formatting
- quiet setup
- added buildrequires
- enabled a few features
- added docs
- remove CVS dirs
- own %{_includedir}/AL, not just the files within
- remove -march flag when using --enable-optimization(Patch2) so we don't
  compile it for another arch(eg. -march=i686)

* Wed Jan 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.0.6-4mdk
- rebuild

* Wed Jun 26 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.0.6-3mdk
- rebuild

* Tue Sep 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.0.6-2mdk
- added by Maksim Orlovich <mo002j@mail.rochester.edu> :
	- Fix the .so in the devel package.

* Sun Aug 05 2001 Maksim Orlovich <mo002j@mail.rochester.edu> 0.0.6-1mdk
- Initial Mandrake Package.
